<script setup>
import { storeToRefs } from 'pinia'
import { useScheduleStore } from '~~/store/schedule'

const schedule = useScheduleStore()
const { start, end, startString } = storeToRefs(schedule)
</script>

<template>
  <div>
    <div class="flex flex-col gap-3">
      <label class="margin-none font-bold text-lg">開始日時:</label>
      <div class="grid grid-rows-2 md:flex-row gap-3 flex-wrap relative`">
        <div class="flex gap-4 ">
          <input v-model="start.date" type="date" class="input" name="dateStart">
          <input v-model="start.time" type="time" class="input" name="timeStart">
        </div>
        <p v-if="!startString" w-full text-red-500 text-base>
          有効な開始日を入力してください
        </p>
      </div>
    </div>
  </div>
  <hr class="border-t-1 border-gray-400 my-5">
</template>

<style scoped>
.input{
  @apply rounded-lg p-0 m-0 px-2 text-black h-full;
}
</style>

